Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] Openmpi 1.6.5 is freezing under GNU/Linux ia64
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2013-10-02 13:34:16


On Sep 30, 2013, at 11:05 AM, Sylvestre Ledru <sylvestre_at_[hidden]> wrote:

> Here are the options list:
> configure: running /bin/bash './configure' CFLAGS="-DNDEBUG -g -O2
> -Wformat -Werror=format-security -finline-functions -fno-strict-aliasing
> -pthread" CPPFLAGS=" -I/usr//include -I/usr/include/infiniband
> -I/usr/include/infiniband" FFLAGS="-g -O2" LDFLAGS=" -L/usr//lib"
> --enable-shared --disable-static --prefix=/usr --with-mpi=open_mpi
> --disable-aio --cache-file=/dev/null --srcdir=. --disable-option-checking

Hmm -- I'm confused here; it's not possible that you're getting an assertion failure with this configure line, for two reasons:

1. The assert() in question will only be compiled in if you --enable-debug on the configure command line.
2. You supplied -DNDEBUG in CFLAGS, which means you've disabled all assert()s

Can you verify that this is the correct configure line that you used to generate that error? Or is something else going on?

>> 2. try the 1.7 branch using that same configuration
>>
>> The 1.6 series is reaching its planned end-of-life, so we are trying to decide how important it is to chase this down - i.e., if you see the same problem on Debian with 1.7, then this becomes far more important.
> Sure, I will do that asap.

Thanks.

> Do you have an eta for the 1.8 ? (if I remember correctly, 1.7 is a
> development release).

1.7 is a "feature" release. OMPI 1.odd.x series are stable and tested; they're just not as time-tested out in the real world as OMPI 1.even.x series.

We're anticipating 1.8 will be out in early 2014.

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/